DeepFellow DOCS

Streamable HTTP MCP endpoint for toolbox

GET
/toolboxes/{toolbox_id}/mcp

Handle streamable HTTP requests to the MCP server from toolbox mcp servers.

You can test this endpoint with mcp server inspector. Needs user bearer token in authorization header.

Authorization

headerAuthorizationBearer <token>

Path Parameters

toolbox_id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X GET 'https://deepfellow-server-host/toolboxes/5eb7cf5a86d9755df3a6c593/mcp'
Example Response
null

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.